const pluginBuilder = require('../../plugin/plugin-builder');
const userRoutes = require('../routes/get-user-routes');

module.exports = (userRoutesArray) => {

    const builder = new pluginBuilder('caesarjs-server-user-routes', 'Server user routes', 'Caesar.js team', '0.0.1');

    builder.addRoute(
        '/get-user-routes',
        userRoutes(userRoutesArray)
    );

    userRoutesArray.forEach((route) => {
        let path = '/user-route/' + route.urlId;
        builder.addRoute(path, route.callBack);
    });

    builder.addMiddleware((req, res, next) => {
        req.userRoutes = userRoutesArray;
        next();
    });

    return builder.buildPlugin();
};
