'use strict';

// package
const pack = require('../../../package.json');

const getUserRoutes = (userRoutes) => (req, res) => {

    if(req.data.version != pack.version)
    {
        return res.status(500).json({
            error: `Client ${req.data.version} and server ${pack.version} versions are not the same.`
        });
    }

    res.caesarJson({
        routes: userRoutes.map( (route) => {
            return {
                urlId: route.urlId,
                patternObject: route.patternObject,
                inputObject: route.inputObject
            };
        })
    });
};

module.exports = getUserRoutes;
