const patrun = require('patrun');

const findPatternObjectByPath = (userRoutes, path) => {
    const userRoute = userRoutes.find((ur) => {
        return path.indexOf( ur.urlId ) != -1;
    });
    return (userRoute) ? userRoute.patternObject : {};
};

const findPathByPatternObject = (userRoutes, patternObject) => {
    let pr = patrun();
    userRoutes.forEach( (ur) => {
        pr.add(ur.patternObject, `/user-route/${ur.urlId}`);
    });
    return pr.find(patternObject);
};


module.exports = {
    findPatternObjectByPath,
    findPathByPatternObject
};
